ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jacob Kjome <h...@visi.com>
Subject Re: Problems building Ant 1.7.0 and JDK 1.6.0
Date Fri, 12 Jan 2007 05:20:36 GMT
At 11:05 PM 1/11/2007, you wrote:
 >On Fri, 12 Jan 2007, Bruce Bushby <bruce.bushby@rmsaudio.com> wrote:
 >
 >> The build fails saying "We cannot build the test jar unless JUnit is
 >> present" I've gone through the docs, specifically the "Installing
 >> Ant/Building Ant" but can't find an explanation for where I'm going
 >> wrong?
 >
 >Even if you don't intend to run the <junit> task, you now need JUnit
 >when bootstrapping Ant.  The distribution now contains
 >ant-testutil.jar and the hard dependency on JUnit is a side effect of
 >it.
 >
 >Obviously we failed to adapt the installation instructions, sorry.
 >
 >I'm not sure whether it is going to stay that way or whether we make
 >JUnit optional again in the future, but for Ant 1.7.0, JUnit is
 >required.
 >

If JUnit is now required, shouldn't 1.7.x then ship with JUnit in the 
lib directory?

Jake


 >Stefan
 >
 >---------------------------------------------------------------------
 >To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
 >For additional commands, e-mail: user-help@ant.apache.org


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message